#language: ru

@pricing

Функционал: 000. Pricing. Установка функциональных опций

Сценарий: 000.1. Pricing. Установка времени начала блока тестов

	Дано Я подключаюсь под "Администратор"
	Дано Я устанавливаю заголовок "01.Цены"
	Дано я устанавливаю текущему сеансу заголовок приложения "01.001. Цены"
	И Я устанавливаю время начала блока тестов

Сценарий: 000.2. Pricing. Установка функциональных опций

	И Я читаю лицензию "Документооборот.xml"
	И флаг "Анализ продаж доступен" равен "Нет"
	И флаг "Анализ сервисов предприятия" равен "Нет"
	И флаг "Маркировка" равен "Нет"
	И флаг "Мобильное приложение" равен "Нет"
	И флаг "Обработка заказов клиента" равен "Да"
	И флаг "Планирование переработки" равен "Нет"
	И флаг "Планирование продаж" равен "Нет"
	И флаг "Планирование разруба" равен "Нет"
	И флаг "Прогнозирование отгрузок" равен "Нет"
	И флаг "Приемка сырья" равен "Нет"
	И флаг "Приемка сырья (молочное)" равен "Нет"
	И флаг "Производство" равен "Нет"
	И флаг "Производство (молочное)" равен "Нет"
	И флаг "Производство (мясное)" равен "Нет"
	И флаг "Складская логистика" равен "Нет"
	И флаг "Транспортная логистика" равен "Нет"
	И флаг "Трейд-маркетинг" равен "Нет"
	И флаг "Управление продажами" равен "Да"
	И флаг "Ценообразование" равен "Да"
	И флаг "Интеграция с ГИС Меркурий" равен "Нет"
	И флаг "Управление процессами" равен "Нет"
	И Я закрываю окно 'Лицензирование'

Сценарий: 000.3. Pricing. Создание пользователей

	Когда Я создаю группу доступа "Базовый профиль" с профилем "Базовый профиль"
	* Ведение организаций
		И Я создаю группу доступа "Ведение организаций" с профилем "Ведение организаций"
		И Я создаю пользователя "Ведение организаций" с профилями "Базовый профиль;Ведение организаций"
	* Ведение номенклатуры
		И Я создаю группу доступа "Ведение номенклатуры" с профилем "Ведение номенклатуры"
		И Я создаю пользователя "Ведение номенклатуры" с профилями "Базовый профиль;Ведение номенклатуры"
	* Ведение контрагентов
		И Я создаю группу доступа "Ведение контрагентов" с профилем "Ведение контрагентов"
		И Я создаю пользователя "Ведение контрагентов" с профилями "Базовый профиль;Ведение контрагентов"
	* Ценообразование
		И Я создаю группу доступа "Ценообразование" с профилем "Ценообразование"
		И Я создаю пользователя "Ценообразование" с профилями "Базовый профиль;Ценообразование"
	* Создание заказов клиентов
		И Я создаю группу доступа "Создание заказов клиентов" с профилем "Создание заказов клиентов"
		И Я создаю пользователя "Создание заказов клиентов" с профилями "Базовый профиль;Создание заказов клиентов"
	* Создание заказов поставщикам
		И Я создаю группу доступа "Создание заказов поставщикам" с профилем "Создание заказов поставщикам"
		И Я создаю пользователя "Создание заказов поставщикам" с профилями "Базовый профиль;Создание заказов поставщикам"
	* Формирование накладных
		И Я создаю группу доступа "Формирование накладных" с профилем "Формирование накладных"
		И Я создаю пользователя "Формирование накладных" с профилями "Базовый профиль;Формирование накладных"
	* Формирование поступлений
		И Я создаю группу доступа "Формирование поступлений" с профилем "Формирование поступлений"
		И Я создаю пользователя "Формирование поступлений" с профилями "Базовый профиль;Формирование поступлений"
	* Основной менеджер
		И Я создаю пользователя "Основной менеджер" с профилями "Базовый профиль"